set terminal postscript eps enhanced 
set size 0.6,0.65
set output "exec_time_MP-alfa_100.000.eps"
set title "Scalability evaluation, {/Symbol a}=100"
set xlabel "Number of extents x 10^3"
set ylabel "Execution time (sec.)"
set key top right
#set logscale y
set yrange [0:8]
#set xrange [0.6:5.4]
set xtics ("50" 50000, "100" 100000, "150" 150000, "200" 200000, "250" 250000, "300" 300000, "350" 350000, "400" 400000, "450" 450000, "500" 500000) 

plot \
"exec_time_SORT_alfa_100.000.txt"			using 1:2       title "SBM (sequential)" with linespoints 	lw 4 lt 2 pt 2 lc 2 ps 0.7, \
"exec_time_INTERVAL_MP_cores_2_alfa_100.000.txt"	using 1:2       title "parallel ITM, 2 threads" with linespoints 	lw 4 lt 5 pt 6 lc 5 ps 0.7, \
"exec_time_INTERVAL_MP_cores_4_alfa_100.000.txt"	using 1:2       title "parallel ITM, 4 threads" with linespoints 	lw 4 lt 3 pt 3 lc 9 ps 0.7, \
"exec_time_INTERVAL_MP_cores_8_alfa_100.000.txt"	using 1:2       title "parallel ITM, 8 threads" with linespoints 	lw 4 lt 4 pt 4 lc 4 ps 0.7

show key
show xlabel
show ylabel
show output
